Legrand / Raritan Xerus™ JSON-RPC API for Remote Access Devices like KX4-101, KX3G2

Loading...
Searching...
No Matches
Public Attributes | List of all members
serial::GsmModem::Information Struct Reference

Structure holding information about the modem and the SIM card. More...

`import "GsmModem.idl";`

## Public Attributes
string | imei
| IMEI of the modem.
string | imsi
| IMSI of the SIM card.
string | manufacturer
| modem manufacturer string
string | model
| modem model string
string | revision
| modem revision string
string | ownNumber
| own phone number in ITU-T E.164 format
string | simSmsc
| SMS center number stored on SIM card.
string | networkName
| Name of the currently used network (PLMN)
string | serviceProviderName
| Name of the service provider (SPN)
int | receptionLevel
| reception level in dBm 0 means unknown, -1 means no reception

## Detailed Description

Structure holding information about the modem and the SIM card.

Any of the fields may be empty if the information can not be retrieved.

Definition at line 56 of file GsmModem.idl.

## Member Data Documentation

## ◆ imei

string serial::GsmModem::Information::imei

IMEI of the modem.

Definition at line 57 of file GsmModem.idl.

## ◆ imsi

string serial::GsmModem::Information::imsi

IMSI of the SIM card.

Definition at line 58 of file GsmModem.idl.

## ◆ manufacturer

string serial::GsmModem::Information::manufacturer

modem manufacturer string

Definition at line 60 of file GsmModem.idl.

## ◆ model

string serial::GsmModem::Information::model

modem model string

Definition at line 61 of file GsmModem.idl.

## ◆ networkName

string serial::GsmModem::Information::networkName

Name of the currently used network (PLMN)

Definition at line 66 of file GsmModem.idl.

## ◆ ownNumber

string serial::GsmModem::Information::ownNumber

own phone number in ITU-T E.164 format

Definition at line 64 of file GsmModem.idl.

## ◆ receptionLevel

int serial::GsmModem::Information::receptionLevel

reception level in dBm 0 means unknown, -1 means no reception

Definition at line 68 of file GsmModem.idl.

## ◆ revision

string serial::GsmModem::Information::revision

modem revision string

Definition at line 62 of file GsmModem.idl.

## ◆ serviceProviderName

string serial::GsmModem::Information::serviceProviderName

Name of the service provider (SPN)

Definition at line 67 of file GsmModem.idl.

## ◆ simSmsc

string serial::GsmModem::Information::simSmsc

SMS center number stored on SIM card.

Definition at line 65 of file GsmModem.idl.

The documentation for this struct was generated from the following file:

- GsmModem.idl